/* Universidade Federal Fluminense
 * Programa de Pós-Graduação em Computação
 *
 * Tópicos Avançados em Computação Visual e Interfaces II (Técnicas Avançadas de Rendering)
 * Professor: Leandro Augusto Frata Fernandes
 *
 * Version: 2012.05.16-001
 */

 varying vec3 ViewDirection;

// The main method.
void main(void)
{
	float depth = length(ViewDirection);
	gl_FragColor = vec4(depth);
}
